commit: bf362a460c5ed6c62a44747fdc3fe2a9a503753d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 2 09:06:08 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 2 09:06:08 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf362a46
dev-python/pydocstyle: Recombine impls into a single ebuild
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild | 38 ------------------------
dev-python/pydocstyle/pydocstyle-5.0.2.ebuild | 10 ++++---
2 files changed, 6 insertions(+), 42 deletions(-)
diff --git a/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild
b/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild
deleted file mode 100644
index 1887ba0bb24..00000000000
--- a/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="Python docstring style checker"
-HOMEPAGE="https://github.com/PyCQA/pydocstyle/"
-SRC_URI="https://github.com/PyCQA/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="dev-python/snowballstemmer[${PYTHON_USEDEP}]"
-
-DEPEND="test? (
- dev-python/pytest-pep8[${PYTHON_USEDEP}]
- dev-python/mypy[${PYTHON_USEDEP}]
- dev-python/tox[${PYTHON_USEDEP}]
-)"
-
-distutils_enable_tests pytest
-# Requires network to lookup github issues
-#distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
dev-python/sphinxcontrib-issuetracker
-
-src_prepare() {
- default
-
- # These tests call pip.
- # pip install fails because we are not allowed to do that inside an
ebuild.
- rm "${S}/src/tests/test_integration.py" || die
-}
diff --git a/dev-python/pydocstyle/pydocstyle-5.0.2.ebuild
b/dev-python/pydocstyle/pydocstyle-5.0.2.ebuild
index 5d439c03ab4..42c63035e5e 100644
--- a/dev-python/pydocstyle/pydocstyle-5.0.2.ebuild
+++ b/dev-python/pydocstyle/pydocstyle-5.0.2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7,8} )
DISTUTILS_USE_SETUPTOOLS=rdepend
@@ -22,15 +22,17 @@ RDEPEND="dev-python/snowballstemmer[${PYTHON_USEDEP}]"
DEPEND="test? (
dev-python/pytest-pep8[${PYTHON_USEDEP}]
dev-python/mypy[${PYTHON_USEDEP}]
- dev-python/tox[${PYTHON_USEDEP}] )"
+ dev-python/tox[${PYTHON_USEDEP}]
+)"
distutils_enable_tests pytest
-distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
dev-python/sphinxcontrib-issuetracker
+# Requires network to lookup github issues
+#distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
dev-python/sphinxcontrib-issuetracker
src_prepare() {
default
# These tests call pip.
# pip install fails because we are not allowed to do that inside an
ebuild.
- rm ${S}/src/tests/test_integration.py || die
+ rm "${S}/src/tests/test_integration.py" || die
}